package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.ProductPrice;


/**
*  service接口类
*/
public interface ProductPriceService{

    List<ProductPrice> getProductPriceList(ProductPrice record);

    List<ProductPrice> getProductPriceByPage(Page page, ProductPrice record);

    ProductPrice getProductPriceById(String id);

    ProductPrice getProductPrice(ProductPrice record);

    boolean createProductPrice(ProductPrice record);

    boolean deleteProductPrice(String id);

    boolean updateProductPrice(ProductPrice record);
}

